package jp.sf.amateras.builder;

import org.eclipse.core.resources.IResource;
import org.eclipse.core.resources.IResourceDelta;
import org.eclipse.core.resources.IResourceDeltaVisitor;
import org.eclipse.core.runtime.CoreException;

public class XMLDeltaVisitor implements IResourceDeltaVisitor {

	public boolean visit(IResourceDelta delta) throws CoreException {
		IResource resource = delta.getResource();
		int kind = delta.getKind();
		if(kind == IResourceDelta.ADDED || kind == IResourceDelta.CHANGED){
			XMLValidator.doValidate(resource);
		}
		return true;
	}

}
